Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Interface PBE

All Known Implementing Classes:
  JCEBlockCipher, JCEBlockCipher.AES, JCEBlockCipher.AESCBC, JCEBlockCipher.Blowfish, JCEBlockCipher.CAST5, JCEBlockCipher.CAST5CBC, JCEBlockCipher.CAST6, JCEBlockCipher.DES, JCEBlockCipher.DESCBC, JCEBlockCipher.DESede, JCEBlockCipher.DESedeCBC, JCEBlockCipher.IDEA, JCEBlockCipher.IDEACBC, JCEBlockCipher.PBEWithMD5AndDES, JCEBlockCipher.PBEWithMD5AndRC2, JCEBlockCipher.PBEWithSHA1AndDES, JCEBlockCipher.PBEWithSHA1AndRC2, JCEBlockCipher.PBEWithSHAAnd128BitRC2, JCEBlockCipher.PBEWithSHAAnd40BitRC2, JCEBlockCipher.PBEWithSHAAndDES2Key, JCEBlockCipher.PBEWithSHAAndDES3Key, JCEBlockCipher.PBEWithSHAAndIDEA, JCEBlockCipher.PBEWithSHAAndTwofish, JCEBlockCipher.RC2, JCEBlockCipher.RC2CBC, JCEBlockCipher.RC5, JCEBlockCipher.RC564, JCEBlockCipher.RC6, JCEBlockCipher.Rijndael, JCEBlockCipher.Serpent, JCEBlockCipher.Skipjack, JCEBlockCipher.Twofish, JCEElGamalCipher, JCEElGamalCipher.NoPadding, JCEElGamalCipher.PKCS1v1_5Padding, JCEIESCipher, JCEIESCipher.ECIES, JCEIESCipher.IES, JCEMac, JCEMac.DES, JCEMac.DESCFB8, JCEMac.DESede, JCEMac.DESedeCFB8, JCEMac.IDEA, JCEMac.IDEACFB8, JCEMac.MD2, JCEMac.MD4, JCEMac.MD5, JCEMac.PBEWithRIPEMD160, JCEMac.PBEWithSHA, JCEMac.PBEWithTiger, JCEMac.RC2, JCEMac.RC2CFB8, JCEMac.RC5, JCEMac.RC5CFB8, JCEMac.RIPEMD128, JCEMac.RIPEMD160, JCEMac.SHA1, JCEMac.SHA256, JCEMac.SHA384, JCEMac.SHA512, JCEMac.Skipjack, JCEMac.SkipjackCFB8, JCEMac.Tiger, JCERSACipher, JCERSACipher.ISO9796d1Padding, JCERSACipher.NoPadding, JCERSACipher.OAEPPadding, JCERSACipher.PKCS1v1_5Padding, JCERSACipher.PKCS1v1_5Padding_PrivateOnly, JCERSACipher.PKCS1v1_5Padding_PublicOnly, JCEStreamCipher, JCEStreamCipher.Blowfish_CFB8, JCEStreamCipher.Blowfish_OFB8, JCEStreamCipher.DES_CFB8, JCEStreamCipher.DES_OFB8, JCEStreamCipher.DESede_CFB8, JCEStreamCipher.DESede_OFB8, JCEStreamCipher.IDEA_CFB8, JCEStreamCipher.IDEA_OFB8, JCEStreamCipher.PBEWithSHAAnd128BitRC4, JCEStreamCipher.PBEWithSHAAnd40BitRC4, JCEStreamCipher.RC4, JCEStreamCipher.Skipjack_CFB8, JCEStreamCipher.Skipjack_OFB8, JCEStreamCipher.Twofish_CFB8, JCEStreamCipher.Twofish_OFB8, WrapCipherSpi, WrapCipherSpi.AESWrap, WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap

public interface PBE

Nested Class Summary
`static class` | `PBE.Util` uses the appropriate mixer to generate the key and IV if neccessary.

Field Summary
`static int` | `MD5`
`static int` | `PKCS12`
`static int` | `PKCS5S1`
`static int` | `PKCS5S2`
`static int` | `RIPEMD160`
`static int` | `SHA1`
`static int` | `TIGER`

Field Detail

### MD5

    static final int MD5

See Also:
  Constant Field Values

### SHA1

    static final int SHA1

See Also:
  Constant Field Values

### RIPEMD160

    static final int RIPEMD160

See Also:
  Constant Field Values

### TIGER

    static final int TIGER

See Also:
  Constant Field Values

### PKCS5S1

    static final int PKCS5S1

See Also:
  Constant Field Values

### PKCS5S2

    static final int PKCS5S2

See Also:
  Constant Field Values

### PKCS12

    static final int PKCS12

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD